Package com.sap.ai.sdk.grounding

# Class GroundingClient

java.lang.Object
com.sap.ai.sdk.grounding.GroundingClient

public class GroundingClient extends Object
Service class for the Document Grounding APIs.

Since:
  1.3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroundingClient()`
  Default constructor.
  `GroundingClient(AiCoreService service)`
  Constructor with custom AI Core service instance.
  `GroundingClient(AiCoreService service, String basePath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getBasePath()`
  `protected List<com.sap.cloud.sdk.cloudplatform.connectivity.Header>`
  `getCustomHeaders()`
  `protected AiCoreService`
  `getService()`
  `PipelinesApi`
  `pipelines()`
  Get the Pipelines API.
  `RetrievalApi`
  `retrieval()`
  Get the Retrieval API.
  `VectorApi`
  `vector()`
  Get the Vector API.
  `GroundingClient`
  `withHeader(String key, String value)`
  Create a new OpenAI client with a custom header added to every call made with this client

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroundingClient

    public GroundingClient()
    Default constructor.

  - ### GroundingClient

    public GroundingClient(@Nonnull AiCoreService service)
    Constructor with custom AI Core service instance.
    Parameters:
      `service` - The instance of AI Core service

  - ### GroundingClient

    public GroundingClient(@Nonnull AiCoreService service, @Nonnull String basePath)

- ## Method Details

  - ### pipelines

    @Nonnull public PipelinesApi pipelines()
    Get the Pipelines API.
    Returns:
      The Pipelines API.

  - ### vector

    @Nonnull public VectorApi vector()
    Get the Vector API.
    Returns:
      The Vector API.

  - ### retrieval

    @Nonnull public RetrievalApi retrieval()
    Get the Retrieval API.
    Returns:
      The Retrieval API.

  - ### withHeader

    @Nonnull public GroundingClient withHeader(@Nonnull String key, @Nonnull String value)
    Create a new OpenAI client with a custom header added to every call made with this client
    Parameters:
      `key` - the key of the custom header to add
      `value` - the value of the custom header to add
    Returns:
      a new client.
    Since:
      1.17.0

  - ### getService

    @Nonnull protected AiCoreService getService()

  - ### getBasePath

    @Nonnull protected String getBasePath()

  - ### getCustomHeaders

    @Nonnull protected List<com.sap.cloud.sdk.cloudplatform.connectivity.Header> getCustomHeaders()